Skip to content
StraventaDocs

Get notification preference for an event type

Returns the current user's notification preference for a specific event type.

GET
/api/recon/v1/me/notification-preferences/{event_type}

Returns the current user's notification preference for a specific event type.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

event_type*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/recon/v1/me/notification-preferences/string"
{
  "id": "01900000-0000-7000-8000-000000000140",
  "user_id": "01900000-0000-7000-8000-000000000001",
  "event_type": "exception.created",
  "channels": [
    "ops_email"
  ],
  "enabled": true,
  "updated_at": "2026-01-01T00:00:00Z"
}
{
  "error": "unauthorized",
  "message": "Bearer token is missing or invalid",
  "request_id": "01900000-0000-7000-8000-000000000001"
}
{
  "error": "not_found",
  "message": "The requested resource was not found",
  "request_id": "01900000-0000-7000-8000-000000000001"
}

Was this page helpful?